summarylogtreecommitdiffstats
path: root/readme.install
diff options
context:
space:
mode:
authorgraysky2016-12-05 14:35:14 -0500
committergraysky2016-12-05 14:35:14 -0500
commit655a7b874800cf3ab702356f6f44a1a08908ae34 (patch)
tree6e438bcdaa46ab5d41a36d0948d949bcafcbb447 /readme.install
parent6d3a61f07dd4e38a5fa52c6cce05b6970afc546e (diff)
downloadaur-655a7b874800cf3ab702356f6f44a1a08908ae34.tar.gz
Update to 1.81-2
Diffstat (limited to 'readme.install')
-rw-r--r--readme.install132
1 files changed, 62 insertions, 70 deletions
diff --git a/readme.install b/readme.install
index 044d251aa72a..48064ed5c3c4 100644
--- a/readme.install
+++ b/readme.install
@@ -1,84 +1,76 @@
post_install() {
- getent group kodi > /dev/null || groupadd -g 420 kodi
- if ! getent passwd kodi > /dev/null; then
- useradd -c 'kodi user' -u 420 -g kodi -G audio,video,network,optical \
- -d /var/lib/kodi -s /usr/bin/nologin kodi
- passwd -l kodi > /dev/null
- [[ ! -d /var/lib/kodi/.kodi ]] &&
- mkdir /var/lib/kodi/.kodi &&
- chown -R kodi:kodi /var/lib/kodi/.kodi
- fi
+ getent group kodi > /dev/null || groupadd -g 420 kodi
+ if ! getent passwd kodi > /dev/null; then
+ useradd -c 'kodi user' -u 420 -g kodi -G audio,video,network,optical \
+ -d /var/lib/kodi -s /usr/bin/nologin kodi
+ passwd -l kodi > /dev/null
+ [[ ! -d /var/lib/kodi/.kodi ]] &&
+ mkdir /var/lib/kodi/.kodi &&
+ chown -R kodi:kodi /var/lib/kodi/.kodi
+ fi
- if [[ -f /usr/lib/xorg/modules/drivers/ati_drv.so ]]; then
- echo "It has been reported that users of the open source ATI driver"
- echo "MAY need to create /etc/X11/Xwrapper.config for this package"
- echo "to work properly."
- echo .
- echo "This file should contain the following line:"
- echo "needs_root_rights = yes"
- fi
+ echo ">> Some drivers including Xorg's native modesetting may require the addition"
+ echo ">> of /etc/X11/Xwrapper.config for X to initialize. If kodi.service fails to"
+ echo ">> start, create that file containing the following single line:"
+ echo ">> needs_root_rights = yes"
+ echo ">>"
+ echo ">> See: https://wiki.archlinux.org/index.php/Xorg#Rootless_Xorg_.28v1.16.29"
}
post_upgrade() {
- post_install $1
- if ! getent group kodi | cut -d: -f3 | grep 420 > /dev/null 2>&1; then
- groupmod -g 420 kodi > /dev/null 2>&1
- fi
- if ! id -u kodi | grep 420 > /dev/null 2>&1; then
- usermod -u 420 kodi > /dev/null 2>&1
- if [[ $? -ne 0 ]]; then
- echo "Changing uid of user kodi failed."
- echo "It is recommended that the uid is changed."
- echo "Stop all processes running under the kodi user and reinstall kodi"
- echo "or change the uid manually. (usermod -u 420 kodi)"
- fi
- chown -R kodi:kodi /var/lib/kodi
- fi
+ post_install $1
+ if ! getent group kodi | cut -d: -f3 | grep 420 > /dev/null 2>&1; then
+ groupmod -g 420 kodi > /dev/null 2>&1
+ fi
+ if ! id -u kodi | grep 420 > /dev/null 2>&1; then
+ usermod -u 420 kodi > /dev/null 2>&1
+ if [[ $? -ne 0 ]]; then
+ echo "Changing uid of user kodi failed."
+ echo "It is recommended that the uid is changed."
+ echo "Stop all processes running under the kodi user and reinstall kodi"
+ echo "or change the uid manually. (usermod -u 420 kodi)"
+ fi
+ chown -R kodi:kodi /var/lib/kodi
+ fi
- if [[ -d /var/lib/xbmc ]]; then
- echo "If you are upgrading from xbmc->kodi and wish to keep your"
- echo "settings, simply follow these steps after the install:"
- echo
- echo "cp -a /var/lib/xbmc/.xbmc/* /var/lib/kodi/.kodi"
- echo "chown -R kodi:kodi /var/lib/kodi"
- fi
-
- if [ "$(vercmp $2 1.8-1)" -lt 1 ]; then
- if [[ -f /etc/X11/Xwrapper.config ]]; then
- echo '-> It is no longer necessary to keep /etc/X11/Xwrapper.config for kodi to start properly.'
- fi
- else
- /bin/true
- fi
+ if [[ -d /var/lib/xbmc ]]; then
+ echo "If you are upgrading from xbmc->kodi and wish to keep your"
+ echo "settings, simply follow these steps after the install:"
+ echo
+ echo "cp -a /var/lib/xbmc/.xbmc/* /var/lib/kodi/.kodi"
+ echo "chown -R kodi:kodi /var/lib/kodi"
+ fi
}
post_remove() {
- getent passwd kodi > /dev/null 2>&1 && userdel kodi
- getent group kodi > /dev/null 2>&1 && groupdel kodi
+ getent passwd kodi > /dev/null 2>&1 && userdel kodi
+ getent group kodi > /dev/null 2>&1 && groupdel kodi
}
pre_install() {
- if [ -f /usr/lib/systemd/system/xbmc.service ]; then
- /usr/bin/systemctl status xbmc.service &>/dev/null
- if [[ $? -eq 0 ]]; then
- # xbmc is running via this service
- /usr/bin/systemctl stop xbmc.service &>/dev/null
- else
- /bin/true
- fi
- else
- /bin/true
- fi
+ if [ -f /usr/lib/systemd/system/xbmc.service ]; then
+ /usr/bin/systemctl status xbmc.service &>/dev/null
+ if [[ $? -eq 0 ]]; then
+ # xbmc is running via this service
+ /usr/bin/systemctl stop xbmc.service &>/dev/null
+ else
+ /bin/true
+ fi
+ else
+ /bin/true
+ fi
- if [ -f /usr/lib/systemd/system/kodi.service ]; then
- /usr/bin/systemctl status kodi.service &>/dev/null
- if [[ $? -eq 0 ]]; then
- # kodi is running via this service
- /usr/bin/systemctl stop kodi.service &>/dev/null
- else
- /bin/true
- fi
- else
- /bin/true
- fi
+ if [ -f /usr/lib/systemd/system/kodi.service ]; then
+ /usr/bin/systemctl status kodi.service &>/dev/null
+ if [[ $? -eq 0 ]]; then
+ # kodi is running via this service
+ /usr/bin/systemctl stop kodi.service &>/dev/null
+ else
+ /bin/true
+ fi
+ else
+ /bin/true
+ fi
}
+
+# vim:set ts=2 sw=2 et: